<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.9x - Last modified 2012-10-20 (x:2015-03-21)
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';

// Input
$oldname = w_gpc('oldname');
$newname = w_gpc('newname');
// $action


// SuperAdmin+ only
if (!$flags['sadmin']) {
	report_err($langop_err_no_rename_usr);
}


$rename_error_message = '';

if (isset($_POST['oldname'])) {
	$result = db_query("SELECT usrname FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='{$oldname}'");

	if (!$result || db_num_rows($result) < 1) {
		$rename_error_message = $langop_rename_old_nonexist;
		$oldname = '';
		$action = '';
	}
}

$newname_okay = false;
if (!empty($newname)) {
	$result = db_query("SELECT usrname FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='{$newname}'");

	if ($result && db_num_rows($result) > 0) {
		$rename_error_message = $langop_rename_new_exists;
		$action = '';
	}
} else {
	$action = '';
}

if ($action == 'perform' && !empty($oldname)) {
	$result = db_query("SELECT ID, usrname, rank FROM {$OekakiPoteto_MemberPrefix}oekaki WHERE usrname='{$oldname}'");

	$row = db_fetch_array($result);
	if ($row['rank'] > $flags['rank'] && addslashes($row['usrname']) != $OekakiU) {
		$rename_error_message = $langop_rename_no_rank;
		$oldname = '';
		$action = '';
	} else {
		if (w_rename_member($oldname, $newname)) {
			w_log (WLOG_EDIT_PROFILE, $langop_l_renamed_mem, $oldname.' > '.$newname);
			all_done('log.php');
		} else {
			report_err('Database: rename failed');
		}
	}
}



include 'header.php';

?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center">
<tr>
<td class="header">
	<strong><?php echo $langop_rename_user_title;?></strong>
</td>
</tr>
</table>

<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
<?php

if (empty($action)) {
	?>
	<form id="form10" method="post" action="renameusr.php">
		<input type="hidden" name="action" value="confirm" />

		<div style="width=75%; text-align: center;">
			<?php echo $langop_rename_user_disclaimer;?> 
		</div>
		<br />
		<br />


		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
<?php if (!empty($rename_error_message)) { ?>
		<tr>
		<td width="24%">&nbsp;</td>
		<td width="76%">
			<strong><?php echo $rename_error_message;?></strong>
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

<?php } ?>

		<tr>
		<td width="24%">
			<div align="right"><?php echo $langop_old_username;?></div>
		</td>
		<td width="76%">
			<font size="-2">
				<select name="oldname" class="multiline">
<?php
	// Get all members with less than $OekakiU rank
	$result2 = db_query("SELECT ID, usrflags, usrname FROM {$db_mem}oekaki WHERE rank < {$flags['rank']} OR usrname='{$OekakiU}' ORDER BY usrname ASC");
	$rownum = db_num_rows($result2);

	$i = 0;
	while ($i < $rownum) {
		$row = db_fetch_array($result2);
		?>
					<option value="<?php echo w_html_chars($row['usrname']);?>"<?php if ($row['usrname'] == $oldname) echo ' selected="selected"';?>><?php echo w_html_chars($row['usrname']);?></option>
<?php
		$i++;
	}
?>
				</select>
			</font>
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td width="24%">
			<div align="right"><?php echo $langop_new_username;?></div>
		</td>
		<td width="76%">
			<font size="-2">
				<input name="newname" type="text"<?php if (!empty($newname)) echo 'value="'.w_html_chars($newname).'"';?> size="40" class="txtinput" />
			</font>
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td width="24%">&nbsp;</td>
		<td width="76%">
			<font size="-2">
				<input name="rename_sub" type="submit" class="submit" value="Submit" />
			</font>
		</td>
		</tr>
		</table>
	</form>
<?php }


if ($action == 'confirm') {
	?>
	<form id="form11" method="post" action="renameusr.php">
		<input type="hidden" name="action" value="perform" />
		<input type="hidden" name="oldname" value="<?php echo w_html_chars($oldname);?>" />
		<input type="hidden" name="newname" value="<?php echo w_html_chars($newname);?>" />

		<div style="width=75%; text-align: center;">
			<?php echo $langop_confirm_rename_ok;?> 
		</div>
		<br />
		<br />


		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
		<tr>
		<td width="24%">
			<div align="right"><?php echo $langop_old_username;?>:</div>
		</td>
		<td width="76%">
			<?php echo w_html_chars($oldname);?> 
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td width="24%">
			<div align="right"><?php echo $langop_new_username;?>:</div>
		</td>
		<td width="76%">
			<?php echo w_html_chars($newname);?> 
		</td>
		</tr>

		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td width="24%">&nbsp;</td>
		<td width="76%">
			<font size="-2">
				<input name="rename_sub" type="submit" class="submit" value="<?php echo $langop_word_rename;?>" />
			</font>
		</td>
		</tr>
		</table>
	</form>
<?php }


?>
</td>
</tr>
</table>
<br />
<br />

<?php
include 'footer.php';



/* Functions */

function w_rename_member($oldname, $newname, $memberlist_only = false) {
	global $db_mem, $db_pre;

	$result = db_query("DELETE FROM {$db_mem}oekakionline WHERE onlineusr='{$oldname}'");

	$result = db_query("UPDATE {$db_mem}oekaki SET usrname='{$newname}' WHERE usrname='{$oldname}'");
	if (!$result) {
		return false;
	}
	$result = db_query("UPDATE {$db_mem}oekakichat SET usrname='{$newname} WHERE usrname='{$oldname}'");
	$result = db_query("UPDATE {$db_mem}oekakimailbox SET reciever='{$newname}' WHERE reciever='{$oldname}'");
	$result = db_query("UPDATE {$db_mem}oekakimailbox SET sender='{$newname}' WHERE sender='{$oldname}'");

	if ($memberlist_only === true) {
		$result = db_query("UPDATE {$db_p}oekakidta SET usrname='{$newname}' WHERE usrname='{$oldname}'");
		$result = db_query("UPDATE {$db_p}oekakicmt SET usrname='{$newname}' WHERE usrname='{$oldname}'");
	}

	return true;
}